Loading...
Searching...
No Matches
BALL::SideChainPlacementProcessor Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/sideChainPlacementProcessor.h>`

Inheritance diagram for BALL::SideChainPlacementProcessor:

## Classes

struct | Option
| Option names. More...
struct | Default
| Default values for options. More...
struct | Method

## Public Member Functions

Constant Definitions
| BALL_CREATE (SideChainPlacementProcessor)
Constructors and Destructors
| SideChainPlacementProcessor ()
| Default Constructor.
| SideChainPlacementProcessor (const SideChainPlacementProcessor &scpp)
| Copy Construcor.
virtual | ~SideChainPlacementProcessor ()
| Destructor.
Processor-related methods
virtual bool | start ()
| Processor method which is called before the operator()-call.
void | clear ()
virtual Processor::Result | operator() (AtomContainer &ac)
virtual bool | finish ()
| Processor method which is called after the operator()-call.
Accessors
void | setDefaultOptions ()
void | setMutations (String mutated_seq)
const String & | getMutations () const
String | getMutations ()
Assignment
SideChainPlacementProcessor & | operator= (const SideChainPlacementProcessor &scpp)
| assignment operator
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Public Attributes

Options | options
| options
String | mutated_sequence_
| Sequence in OneLetterCode with mutated residues.
bool | valid_
bool | readOptions_ ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Side Chain Placement Processor Placement of side chains.

Given the path to the SCWRL binary in the option Option::SCWRL_BINARY_PATH; the processor computes side chain conformations for the given side chains. If no selection is given all side chains are considered. The option Option::MUTATE_SELECTED_SIDE_CHAINS can be used to mutate selected amino acids as specified in the member mutated_sequence_.

Example code:

SideChainPlacementProcessor scpp;
scpp.options.set(SideChainPlacementProcessor::Option::MUTATE_SELECTED_SIDE_CHAINS, true);
System sys;
PDBFile mol("myfile.pdb");
mol >> sys;
String mutated_seq = "arCdcCeg";
scpp.setMutations(mutated_seq);
sys.apply(scpp);
BALL::Composite::apply
bool apply(UnaryProcessor< T > &processor)
BALL::Options::set
void set(const String &key, const String &value)
BALL::PDBFile
Definition PDBFile.h:58
BALL::SideChainPlacementProcessor::setMutations
void setMutations(String mutated_seq)
Definition sideChainPlacementProcessor.h:181
BALL::SideChainPlacementProcessor::options
Options options
options
Definition sideChainPlacementProcessor.h:205
BALL::SideChainPlacementProcessor::SideChainPlacementProcessor
SideChainPlacementProcessor()
Default Constructor.
BALL::String
Definition string.h:57
BALL::System
Definition KERNEL/system.h:40
BALL::SideChainPlacementProcessor::Option::MUTATE_SELECTED_SIDE_CHAINS
static const char * MUTATE_SELECTED_SIDE_CHAINS
Definition sideChainPlacementProcessor.h:94

Definition at line 46 of file sideChainPlacementProcessor.h.

## Constructor & Destructor Documentation

## SideChainPlacementProcessor() [1/2]

BALL::SideChainPlacementProcessor::SideChainPlacementProcessor | ( |  | ) |

Default Constructor.

## SideChainPlacementProcessor() [2/2]

BALL::SideChainPlacementProcessor::SideChainPlacementProcessor | ( | const SideChainPlacementProcessor & | scpp | ) |

Copy Construcor.

## ~SideChainPlacementProcessor()

virtual BALL::SideChainPlacementProcessor::~SideChainPlacementProcessor | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## BALL_CREATE()

BALL::SideChainPlacementProcessor::BALL_CREATE | ( | SideChainPlacementProcessor |  | ) |

## clear()

void BALL::SideChainPlacementProcessor::clear | ( |  | ) |

Clears the datastructures. NOTE: The options remain! Use setDefaultOptions() to clear the options.

## finish()

virtual bool BALL::SideChainPlacementProcessor::finish | ( |  | ) |

virtual

Processor method which is called after the operator()-call.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## getMutations() [1/2]

String BALL::SideChainPlacementProcessor::getMutations | ( |  | ) |

inline

Get the mutated sequence.

Definition at line 189 of file sideChainPlacementProcessor.h.

## getMutations() [2/2]

const String & BALL::SideChainPlacementProcessor::getMutations | ( |  | ) | const

inline

Get the mutated sequence.

Definition at line 185 of file sideChainPlacementProcessor.h.

## operator()()

virtual Processor::Result BALL::SideChainPlacementProcessor::operator() | ( | AtomContainer & | ac | ) |

virtual

Operator () for the processor

Called with Default-options the processor assigns side chain torsion angles to residues.

The processor can be applied to a system, a protein, or a chain. The selection mechanism can be used to restrict the processor to certain residues. If no selection is given all side chains are considered. The option Option::MUTATE_SELECTED_SIDE_CHAINS can be used to mutate selected amino acids as specified in the member mutated_sequence_ (see setMutations(String mutationed_seq) .

Parameters

  ac | the AtomContainer to which the processor is applied.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

SideChainPlacementProcessor & BALL::SideChainPlacementProcessor::operator= | ( | const SideChainPlacementProcessor & | scpp | ) |

assignment operator

## readOptions_()

bool BALL::SideChainPlacementProcessor::readOptions_ | ( |  | ) |

protected

Reads, checks and stores the options.

Returns
  bool - false if one of the options got an invalid value.
  bool - true otherwise

## setDefaultOptions()

void BALL::SideChainPlacementProcessor::setDefaultOptions | ( |  | ) |

Resets the options to default values.

## setMutations()

void BALL::SideChainPlacementProcessor::setMutations | ( | String | mutated_seq | ) |

inline

Set the mutation indicating sequence.

Definition at line 181 of file sideChainPlacementProcessor.h.

## start()

virtual bool BALL::SideChainPlacementProcessor::start | ( |  | ) |

virtual

Processor method which is called before the operator()-call.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## Member Data Documentation

## mutated_sequence_

String BALL::SideChainPlacementProcessor::mutated_sequence_

protected

Sequence in OneLetterCode with mutated residues.

Definition at line 218 of file sideChainPlacementProcessor.h.

## options

Options BALL::SideChainPlacementProcessor::options

options

Definition at line 205 of file sideChainPlacementProcessor.h.

## valid_

bool BALL::SideChainPlacementProcessor::valid_

protected

Definition at line 221 of file sideChainPlacementProcessor.h.